This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | IntDict
Name | ### hasKey()
Examples |
    IntDict inventory;

    void setup() {
      size(200, 200);
      inventory = new IntDict();
      inventory.set("cd",84);
      inventory.set("tapes",15);
      inventory.set("records",102);
      println(inventory);
      if (inventory.hasKey("records") == true) {
        println("Yes, we have records.");
      } else {
        println("Sorry, no records.");
      }
    }
Description | Check if a key is a part of the data structure.
Syntax |
    .hasKey(key)
Returns | boolean

Updated on October 26, 2013 08:58:33pm PDT